=== devs/CMakeLists.txt ===
add_subdirectory(e502)
add_subdirectory(l502)
