=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_subdirectory(x502_rdy_cntr_tst)
