=== examples/c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_subdirectory(x502_stream_read)
add_subdirectory(x502_cycle_out)
add_subdirectory(e502_eth_svc_browse)
