=== debian/changelog ===
x502api (1.1.9) stable; urgency=low

  * Initial Release.

 -- Borisov Alexey <borisov@lcard.ru>  Sat, 31 Mar 2012 12:25:54 +0400
