=== devs/CMakeLists.txt ===
if(X502API_ENABLE_DEV_E502)
    add_subdirectory(e502)
endif(X502API_ENABLE_DEV_E502)

if(X502API_ENABLE_DEV_L502)
    add_subdirectory(l502)
endif(X502API_ENABLE_DEV_L502)
