=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

add_subdirectory(x502_rdy_cntr_tst)
add_subdirectory(x502_async_inout)
