=== tests/x502_async_inout/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

set(PROJECT x502_async_inout)

project(${PROJECT} C)

set(SOURCES main.c)
set(HEADERS )



set(OSSPEC_USE_MUTEX  OFF)
set(OSSPEC_USE_THREADS ON)
set(OSSPEC_USE_EVENTS  OFF)
include(${OSSPEC_DIR}/osspec.cmake)
set(COMPILE_DEFINITIONS ${OSSPEC_DEFINITIONS})

set(SOURCES ${SOURCES}
    ${OSSPEC_SOURCES}
    ${LTIMER_SOURCES})

include_directories(${X502API_INCLUDE_DIR})
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})



target_link_libraries(${PROJECT} x502api l502api e502api ${OSSPEC_LIBS})

if(COMPILE_DEFINITIONS)
    set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_DEFINITIONS "${COMPILE_DEFINITIONS}")
endif(COMPILE_DEFINITIONS)
