=== examples/c/e502_eth_svc_browse/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #   то -DX502API_INCLUDE_DIR и -DX502API_LIBRARIES_DIR можно соответственно не указывать
 # 
 
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(PROJECT e502_eth_svc_browse)
 
@@ -25,5 +25,6 @@
 link_directories(${X502API_LIBRARIES_DIR})
 
 add_executable(${PROJECT} ${HEADERS} ${SOURCES})
+install(TARGETS ${PROJECT} DESTINATION .)
 
 target_link_libraries(${PROJECT} x502api e502api)
